summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-05-02 20:40:04 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-05-02 20:40:04 +0200
commit868a693acbb6b9dcda25de86faf1ec1beb349398 (patch)
tree8d7c0bfbeb741177f17c2f4a7b679da0a309ab99 /scripts/scan-pkgs.sh
parent1fbc2e76a615fee08f8a2843b51dba0136bbdea9 (diff)
libtool needs automake for libltdl
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 2faa334b6..ea8922674 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -100,6 +100,10 @@ if [[ -n $ADK_COMPILE_AUTOMAKE ]]; then
NEED_AUTOCONF="$NEED_AUTOCONF automake"
fi
+if [[ -n $ADK_COMPILE_LIBTOOL ]]; then
+ NEED_AUTOMAKE="$NEED_AUTOMAKE libtool"
+fi
+
if [[ -n $ADK_PACKAGE_SQUID ]]; then
NEED_GXX="$NEED_GXX squid"
fi
@@ -252,6 +256,13 @@ if [[ -n $NEED_AUTOCONF ]]; then
fi
fi
+if [[ -n $NEED_AUTOMAKE ]]; then
+ if ! which automake >/dev/null 2>&1; then
+ echo >&2 You need automake to build $NEED_AUTOMAKE
+ out=1
+ fi
+fi
+
if [[ -n $NEED_INTL ]]; then
if ! which intltool-update >/dev/null 2>&1; then
echo >&2 You need intltool to build $NEED_INTL